Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.description
Class InOutAxisOperation

    java.lang.Object
      org.apache.axis2.description.AxisDescription
          org.apache.axis2.description.AxisOperation
              org.apache.axis2.description.TwoChannelAxisOperation
                  org.apache.axis2.description.InOutAxisOperation

All Implemented Interfaces:
  DescriptionConstants, ParameterInclude, WSDLConstants

    public class InOutAxisOperation

extends TwoChannelAxisOperation

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.axis2.wsdl.WSDLConstants
`WSDLConstants.WSDL11Constants, WSDLConstants.WSDL20_2004_Constants, WSDLConstants.WSDL20_2006Constants`

Field Summary

Fields inherited from class org.apache.axis2.description.TwoChannelAxisOperation
`inFaultMessage, inMessage, outFaultMessage, outMessage`

Fields inherited from class org.apache.axis2.description.AxisOperation
`mepURI, STYLE_DOC, STYLE_MSG, STYLE_RPC`

Fields inherited from class org.apache.axis2.description.AxisDescription
`engagedModules, parameterObservers, parent`

Fields inherited from interface org.apache.axis2.wsdl.WSDLConstants
`HTTP_HEADER, INPUT_PART_QNAME_SUFFIX, MEP_CONSTANT_IN_ONLY, MEP_CONSTANT_IN_OPTIONAL_OUT, MEP_CONSTANT_IN_OUT, MEP_CONSTANT_INVALID, MEP_CONSTANT_OUT_IN, MEP_CONSTANT_OUT_ONLY, MEP_CONSTANT_OUT_OPTIONAL_IN, MEP_CONSTANT_ROBUST_IN_ONLY, MEP_CONSTANT_ROBUST_OUT_ONLY, MESSAGE_LABEL_FAULT_VALUE, MESSAGE_LABEL_IN, MESSAGE_LABEL_IN_VALUE, MESSAGE_LABEL_OUT, MESSAGE_LABEL_OUT_VALUE, OUTPUT_PART_QNAME_SUFFIX, SOAP_HEADER, WSDL_1_1, WSDL_1_1_STYLE, WSDL_2_0, WSDL_20_DESCRIPTION, WSDL_4_J_DEFINITION, WSDL_MESSAGE_DIRECTION_IN, WSDL_MESSAGE_DIRECTION_OUT, WSDL_MESSAGE_IN_MESSAGE, WSDL_MESSAGE_OUT_MESSAGE, WSDL_USE_ENCODED, WSDL_USE_LITERAL, WSDL1_1_NAMESPACE, WSDL2_0_NAMESPACE`

Fields inherited from interface org.apache.axis2.description.DescriptionConstants
`CLASSLOADER_KEY, CONTEXTPATH_KEY, EXECUTION_CHAIN_KEY, EXECUTION_FAULT_CHAIN_KEY, EXECUTION_OUT_CHAIN_KEY, IN_FAULTFLOW_KEY, INFLOW_KEY, MESSAGE_RECEIVER_KEY, MODULEREF_KEY, OPERATION_KEY, OUT_FAULTFLOW_KEY, OUTFLOW_KEY, PARAMETER_KEY, PHASES_KEY, SERVICE_CLASS_NAME, STYLE_KEY`

Constructor Summary
`InOutAxisOperation()`
`InOutAxisOperation(javax.xml.namespace.QName name)`

Method Summary
`void` | `addMessageContext(MessageContext msgContext, OperationContext opContext)` Adds a message context into an operation context.
`OperationClient` | `createClient(ServiceContext sc, Options options)` Return an OperationClient suitable for this AxisOperation.

Methods inherited from class org.apache.axis2.description.TwoChannelAxisOperation
`addFaultMessageContext, addMessage, getMessage, getPhasesInFaultFlow, getPhasesOutFaultFlow, getPhasesOutFlow, getRemainingPhasesInFlow, setPhasesInFaultFlow, setPhasesOutFaultFlow, setPhasesOutFlow, setRemainingPhasesInFlow`

Methods inherited from class org.apache.axis2.description.AxisOperation
`addFaultAction, addModule, addModuleConfig, findForExistingOperationContext, findOperationContext, getAxisService, getAxisSpecificMEPConstant, getFaultAction, getFaultAction, getFaultActionNames, getFaultMessages, getInputAction, getKey, getMessageExchangePattern, getMessageReceiver, getMessages, getModuleConfig, getModuleRefs, getName, getOutputAction, getSoapAction, getStyle, getWSAMappingList, isControlOperation, isParameterLocked, onDisengage, onEngage, registerMessageContext, registerOperationContext, removeFaultAction, removeFromEngagedModuleList, setControlOperation, setFaultMessages, setMessageExchangePattern, setMessageReceiver, setName, setOutputAction, setSoapAction, setStyle, setWsamappingList`

Methods inherited from class org.apache.axis2.description.AxisDescription
`addChild, addChild, addParameter, addParameter, addParameterObserver, applyPolicy, applyPolicy, deserializeParameters, disengageModule, engageModule, engageModule, getAxisConfiguration, getChild, getChildren, getDocumentation, getDocumentationNode, getEngagedModules, getParameter, getParameters, getParameterValue, getParent, getPolicyInclude, getPolicySubject, isEngaged, isEngaged, isParameterTrue, removeChild, removeParameter, removeParameterObserver, setDocumentation, setDocumentation, setParent, setPolicyInclude`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InOutAxisOperation

    public InOutAxisOperation()

### InOutAxisOperation

    public InOutAxisOperation(javax.xml.namespace.QName name)

Method Detail

### createClient

    public OperationClient createClient(ServiceContext sc,
                                        Options options)

  Description copied from class: `AxisOperation`
  Return an OperationClient suitable for this AxisOperation.

  Specified by:
    `createClient` in class `AxisOperation`
  Parameters:
    `sc` - active ServiceContext
    `options` - active Options
  Returns:
    an OperationClient set up appropriately for this operation

### addMessageContext

    public void addMessageContext(MessageContext msgContext,
                                  OperationContext opContext)
                           throws AxisFault

  Description copied from class: `AxisOperation`
  Adds a message context into an operation context. Depending on MEPs, this method has to be overridden. Depending on the MEP operation description know how to fill the message context map in operationContext. As an example, if the MEP is IN-OUT then depending on messagable operation description should know how to keep them in correct locations.

  Specified by:
    `addMessageContext` in class `AxisOperation`
  Parameters:
    `msgContext` - `MessageContext`
    `opContext` - `OperationContext`
  Throws:
    `AxisFault` - `AxisFault`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.